# Advanced Miner
Adds new better Mining drill Mk.II and Mk.III. Both have increased mining range and speed.

Miner Mk.II is unlocked together with Assembler Mk.II in tech **High-speed assembling processes**, and is crafted with 1 Miner Mk.I, 4 Titanium, 2 Processors and 2 Particle container.
Miner Mk.II is together with Assembler Mk.III in tech **Quantum printing technology**, and is crafted with 1 Miner Mk.II, 4 Titanium Alloy, 2 Quantum chip and 2 Particle broadband.

All values can be changed in config file.(Unrecomended, mostly because of balance)
Miner Mk.II is using grid index 2504 and build index 204.
Miner Mk.III is using grid index 2505 and build index 205.
If you encounter any conflits with other mods you can reassign ids and grid positions with config files in Dyson Sphere Program\BepInEx\config\LDBTool

## Installation
### With Mod Manager
Simply open the mod manager (if you don't have it install it from [here](https://dsp.thunderstore.io/package/ebkr/r2modman/)), select **AdvancedMiner by kremnev8**, then **Download**. 

If prompted to download with dependencies, select Yes.

Then just click **Start modded**, and the game will run with the mod installed.

### Manually
Install BepInEx from [here](https://dsp.thunderstore.io/package/xiaoye97/BepInEx/)<br/>
Install LDBTool from [here](https://dsp.thunderstore.io/package/xiaoye97/LDBTool/)<br/>
Install CommonAPI from [here](https://dsp.thunderstore.io/package/CommonAPI/CommonAPI/)<br/>

Unzip folder `patchers` into `Dyson Sphere Program/BepInEx/patchers/DSPAdvancedMiner/` (Create folder named `DSPAdvancedMiner`)<br/>
Unzip folder `plugins` into `Dyson Sphere Program/BepInEx/plugins/DSPAdvancedMiner/`. (Create folder named `DSPAdvancedMiner`)<br/>

## Changelog
### v1.1.0
**Important Note: Installation HAS changed. If you are installing manually, make sure to read installation instructions again!**
- Migrated to CommonAPI
- Updated to work with game version 0.8.23.9832 or higher
### v1.0.8
- Fix erros that could happen if you had mods with recipe ids greater than 500
### v1.0.7
- Fix miner radius not being applied when blueprinting miners.
- Fix compatability with GalacticScale 2 b81.7 and higher. Make sure to update Galactic Scale.

### v1.0.6

- Update to work with version 0.7.18.6914 or higher.

### v1.0.5

- Fixed errors when running version 0.6.17.5831 or higher.
- Fixed stacksize being set to 1000. Now it should be 50.

### v1.0.4

- Added upgrade feature. Now miner mk.1 can be upgraded to miner mk.2 using upgrade tool
- Fixed r2modman installation

### v1.0.3

- Update readme

### v1.0.2

- Fixed grid index conflict with other mod

### v1.0.1

- Fixed invisible max range

### v1.0.0
- Initial Release 